![VSCode](./.assets/vsc.png)

# VSCode 个人默认配置

VSCode 通用基础配置，修改了布局 UI，加添一些辅助功能。

## 配置文件修改

- VSCode 命令面板输入 settings.json，选择**用户设置**
  ![命令面板输入](./.assets/cmd-panel-op.png)
- 如果已有配置，将`{ }`内的所有条目插入到最前，并删除重复条目。
- 如果零配置，直接复制覆盖。

## VSCode 扩展插件安装的原则：

- 最小化，满足功能需求的同时，尽可能减少插件数量
- 常更新，保证插件的稳定可用
- 根据插件的说明书知道插件用途，不安装未知插件
- 配置插件选项

## 必备扩展安装

| 插件名               | 搜索词   | 用途描述         |
| -------------------- | -------- | ---------------- |
| Chinese (Simplified) | chinese  | 中文汉化         |
| Code Spell Checker   | spell    | 拼写检查         |
| Error Lens           | err      | 错误行尾显示     |
| Material Icon Theme  | icon     | 文件图标主题     |
| Path Intellisense    | path     | 相对路径选择提示 |
| Trailing Spaces      | trailing | 多余空格字符高亮 |
| XML Format           | xml      | xml 文件格式化   |
| Prettier             | prettier | 多种文件格式化   |
| Better Comments      | comments | 代码注释语义高亮 |

## 其他

- 字体不正常，请安装文件夹附带的两个字体文件
